Subject: bug#78927: [PATCH] Update `fill-region-as-paragraph-semlf' to follow fill.el protocols

From: Eli Zaretskii <[email-masked]>
Date: Mon, 30 Jun 2025 18:50:28 +0300

> Cc: [email-masked], [email-masked]
> From: Roi Martin <[email-masked]>
> Date: Mon, 30 Jun 2025 13:09:57 +0200
> 
> This patch updates the `fill-region-as-paragraph-semlf' function to
> follow the `fill-region-as-paragraph-function' protocol.  This allows to
> delete the `fill-paragraph-semlf' function, which is replaced by
> `fill-paragraph' combined with assigning
> `fill-region-as-paragraph-semlf' to `fill-region-as-paragraph-function'.

fill-paragraph-semlf is a command.  Removing it means that there will
be no way for users to fill a paragraph interactively using semantic
linefeeds.  How much time will pass, do you think, before someone asks
for such a command?

The changes in this patch allow you to make fill-paragraph-semlf a
very thin wrapper around fill-paragraph, but that is still many times
more convenient than asking users to assign obscure values to obscure
variables.

So I suggest to leave the command, just reimplement it using
fill-region-as-paragraph-function.